% JBplot4.m
% This Matlab script plots the eigenvalues from JBeig
% as a function of the forward speed v in four views

% Created by Arend L. Schwab and Jim Papadopoulos, 18-Jun-2003
% Delft University of Technology & Cornell University.

% 6/27/03 AED - changed plot parameter from '.' to '.b' because
%               colors look like they mean something when they
%               really don't.
%             - add horizontal lines to show stable region
%             - add (m/s) units to velocity axis label

figure;

name = 'Benchmark1';

Relim=[-inf inf];
Imlim=[-inf inf];
vlim=[-inf inf];


% sort the lambdas
lambdas=sort(lamb,2);
% find the stable region
Remax=max(real(lambdas),[],2);
Renul=find(Remax<=1e-5);
vmin=v(min(Renul));
vmax=v(max(Renul));
%make the plots
subplot(2,2,1)
plot(lambdas,'.b')
axis([Relim Imlim]);
xlabel('Re(\lambda)')
ylabel('Im(\lambda)')
title('Delft University of Technology & Cornell University, 2003')
grid
subplot(2,2,2)
plot(v,imag(lambdas),'.b')
axis([vlim Imlim]);
xlabel('v (m/s)')
ylabel('Im(\lambda)')
grid
title(name)
subplot(2,2,3)
plot(real(lambdas),v,'.b') %, ...
%     [min(min(real(lambdas))) max(max(real(lambdas)))],[vmin vmin],'r', ...
%     [min(min(real(lambdas))) max(max(real(lambdas)))],[vmax vmax],'r')
axis([Relim vlim]);
xlabel('Re(\lambda)')
ylabel('v (m/s)')
title(sprintf('v_{stable}:%g--%g',vmin,vmax))
grid
subplot(2,2,4)
plot3(real(lambdas),imag(lambdas),v,'.b')
axis([Relim Imlim vlim]);
xlabel('Re(\lambda)')
ylabel('Im(\lambda)')
zlabel('v (m/s)')
grid

