% Calculate one of the critical speeds,
% the one for which det(K0+K2.*v^2)=0
% The linearized equations of motion read:
%
%       M0*qdd+(C1.*v)*qd+(K0+K2.*v^2)*q=0
%
% where v is the forward speed of the bike.

% read the matrices
load BM1M0C1K0K2

% det(K0+K2.*v^2)=0 can be seen as an eigenvalue problem 
% K*x=-K2*x*lambda with lambda=v^2

[V,D] = eig(K0,-K2)

v = sqrt(diag(D))

v1 = v(2);

