% JBeig.m
% This Matlab script calculates the eigenvalues and eigenvectors
% from the lienarized equations of motion for the bicycle.
% The degrees of freedom are q=[lean angle; steer angle],
% lean to the right and steer to the left is positive
% when driving forward.
% The linearized equations of motion read:
%
%       M0*qdd+(C1.*v)*qd+(K0+K2.*v^2)*q=0
%
% where v is the forward speed of the bike.
% 
% The massmatrix M0, 
% the velocity sensetivity matrix C1 
% the stifness matrices K0 and K2
% must me set by JBmck or read.

 % by Arend L. Schwab 20 dec 2012

load BM1M0C1K0K2.mat

v = 5; %m/s

M=M0;
C=v.*C1;
K=K0+v^2.*K2;

[X,E]=polyeig(K,C,M)


