% this is an example on eigenvalues for the Lorentz attractor
%  [ xdot ] = [ -beta  0     y  ] [x]
%  [ ydot ] = [   0 -sigma sigma] [y]
%  [ zdot ] = [  -y   rho   -1  ] [z]

% by Arend L. Schwab 20 dec 2012

syms beta y sigma rho

% The (nonlinear) Jacobian 

J = [-beta   0     y
       0  -sigma sigma
     -y     rho   -1   ]
% fixed points: d/dt= 0
% 1 solution is [0 0 0]
% but there are others!
% when does J looses rank, eigenvalue = 0?
   
detJ = det(J)

sol = solve(detJ,y)

% eigen vectors are the fixed points

fp(1) = null(subs(J,y,sol(1)))
fp(2) = null(subs(J,y,sol(2)))

% or just do a nonlinear solve for x y and z

syms x y z

S=solve('-beta*x+y*z','sigma*(z-y)','-y*x+rho*y-z',x,y,z)