% mylorenz.m

rho = 28;
sigma = 10;
beta = 8/3;
eta = sqrt(beta*(rho-1));
A = [ -beta    0     eta
        0  -sigma   sigma 
     -eta   rho    -1  ];
   
% The critical points are the null vectors of A.
% The initial value of y(t) is near one of the critical points.

yc = [rho-1; eta; eta];
y0 = yc + [0; 0; 3];

% Integrate forever, or until the stop button is toggled.
%tspan = [0 50].';
tspan = [0 50].';
opts = odeset('reltol',1.e-3);
[T,Y] = ode45(@lorenzeqn,tspan, y0, opts, A);
% plot it
figure
plot(T,Y)
grid on

%return

% now perturbe th einitial conditions with a tiny random number
% and look at the repsonse again

tiny=1e-3;
hold on
drawnow
for j=1:5
  ans = input('Hit a Key to continue')
  y0 = yc + [0; 0; 3+tiny*randn];
  opts = odeset('reltol',1.e-3);
  [T,Y] = ode45(@lorenzeqn,tspan, y0, opts, A);
  plot(T,Y)
  title(sprintf('rho=%g, j=%3g, y0(3)=%10.6g',rho,j,y0(3)))
  drawnow
end


